<template>
  <single-panel>
    <filter-panel v-show="Object.keys(hasDraft).length && !isOrderDraftList"/>
    <ob-table
        :columns="draftColumns"
        :functionalPanel="true"
        :remote-opt="{
          method: getDrafts
        }"
        :is-functional-sort="false"
        :is-functional-group="false"
        :tableLayoutFixed="false"
        data-qa="orderDraftsTable"
        @select="onSelectionDraft"
        ref="obTableDrafts"
        is-fixed-header
        :component-unique-key="$uniqueTableKeys.OrderDraftsList"
    >
      <template v-slot:typeOrders="{ data }">
        <ob-tooltip position="top-start">
          <div v-if="isClicar" slot="content">
            <div class="tooltip">
              {{ $options.uploadedTypes[data.item.uplodedType].tooltipText }}
            </div>
          </div>
          <i :class="['icon icon-type-order', $options.uploadedTypes[data.item.uplodedType].icon]"/>
        </ob-tooltip>
        <span class="hand__tooltip">
          {{data.item.number}}
        </span>
      </template>
      <template v-slot:typeStatus="{ data }">
        <div :class="{'order-table-notification': false}"></div>
        <div :class="['number', {'is-ready': data.item.status === 'ready'}]">
          <ob-tooltip position="top-start">
            <div slot="content">
              <div class="tooltip">
                {{ $options.uploadedTypes[data.item.uplodedType].tooltipText }}
              </div>
            </div>
            <i :class="['icon', $options.uploadedTypes[data.item.uplodedType].icon]"/>
          </ob-tooltip>
        </div>
      </template>
      <template v-slot:modality="{ data }">
        <div class="order-table-modality">
          <i :class="['icon ', typeIcon(data.item.transportation_way)]"/>
        </div>
      </template>
      <template v-slot:draftLifeTime="{ data }">
        <ob-countdown
            :class="{'red': data.item.draftLifetime <= 3600 && data.item.draftLifetime >= 0}"
            :duration="data.item.draftLifetime"
        />
      </template>
      <template v-slot:dates="{ data }">
        <div class="order-table-route">
          <div class="order-table-route-start">
            {{ data.item.from_location_ru }}
          </div>
          <div class="order-table-route-dots"></div>
          <div class="order-table-route-end">
            {{ data.item.toLocation }}
          </div>
        </div>
      </template>
      <template v-slot:rateLifeTime="{ data }">
        <ob-countdown
            :class="{'red': data.item.rateLifetime <= 3600 && data.item.rateLifetime >= 0}"
            :duration="data.item.rateLifetime"
        />
      </template>
      <template v-slot:sendOrder="{ data }">
        <span
            v-if="!data.item.isValid"
            class="notready"
        >
          Не хватает данных
        </span>
        <ob-button
            v-if="data.item.isValid"
            data-qa="btnSendOrder"
            label="Оформить"
            @click="onPublish(data.item)"
        />
      </template>
      <template slot="noneContent">
        <template v-if="true">
          <div class="title">Создавайте заказы на перевозку и отслеживайте их исполнение с помощью услуг трекинга</div>
          <ob-inline-select
              v-model="createdContract.uuid"
              :items="createdContracts"
              label="Создать заказ"
              class="contracts-list-without-data--select"
              @input="selectCreatedContract"
          />
        </template>
        <template v-else>
          <div class="order-draft-header-content">
            Вы сможете создать свой первый заказ сразу, как только служба безопасности проверит ваши данные.
            Обычно это занимает около 2 часов.
          </div>
          <div class="order-draft-body-content">
            <b>Зачем проверять мои данные?</b>
            <p>Мы проверяем каждого участника платформы, чтобы перевозки с Грузи.ру были прозрачными и безопасными.</p>
            <b>Что произойдет после того, как я пройду проверку?</b>
            <p>
              Вы сможете создавать заказы на перевозку и отслеживать их исполнение с помощью услуг трекинга.
            </p>
            <b>Как я узнаю, что проверка закончилась?</b>
            <p>
              По завершению проверки на почту companymail@mail.ru и номер телефона +7 (917) 535-83-55 придёт уведомление.
              <br/><br/>
              Вы также можете следить за ходом проверки в разделе Профиль, вкладке Карточка участника. <br/><br/>
              Если вдруг проверка затянется, свяжитесь с нами по номеру +7(495) 646-06-03 или по почте support@gruzi.ru
            </p>
          </div>
        </template>
      </template>
    </ob-table>
    <router-view/>
    <ob-modal
      ref="submitModal"
      title="Согласие с офертой необходимо для оформления заказа"
      size="medium"
    >
      <div class="oferta">
        <ob-checkbox label="" v-model="oferta" />
        <span>
          Принимаю условия
          <a href="#" @click.prevent="openOferta">
            Оферты
          </a>
          и выражаю согласие с ними
        </span>
      </div>
      <div class="oferta-buttons">
        <ob-button label="Оформить заказ" :disabled="!oferta" @click="publish" />
        <ob-button label="Отмена" type="flat" @click="$refs.submitModal.close()" />
      </div>
    </ob-modal>
    <ob-modal
      ref="submitAnonModal"
      title="Хотите оформить заказ?"
      size="medium"
    >
      <div class="oferta">
        <span>
          Заказ {{ this.activeOrder.number }} будет оформлен по договору
          <a href="#">
            № {{ contract.contractNumber }} от {{ contract.contractEffectiveD | date }}
          </a>
        </span>
      </div>
      <div class="oferta-buttons">
        <ob-button label="Оформить заказ" @click="publish" />
        <ob-button label="Отмена" type="flat" @click="$refs.submitAnonModal.close()" />
      </div>
    </ob-modal>
    <oferta-popup ref="oferta" @close="$refs.oferta.close()">
      <h2>1. Предмет договора</h2>
      <p>
        1.1. Перевозчик обязуется доставить вверенный ему Грузоотправителем груз
        в пункт назначения и выдать его управомоченному на получение груза лицу
        (грузополучателю), а Грузоотправитель обязуется уплатить за перевозку
        груза установленную плату.
      </p>
      <p>
        1.2. Наименование, объем и иные характеристики груза, маршрут перевозки
        груза, согласуются Сторонами в Заявке на перевозку, которая является
        приложением к настоящему Договору и его неотъемлемой частью (далее -
        Заявка).
      </p>
      <h2>2. Сроки и условия перевозки груза</h2>
      <p>2.1. Обязанности Перевозчика.</p>
      <p>
        2.2.1. Перевозчик обязан подать под погрузку технически исправное
        транспортное средство, подходящие под характеристики груза и
        соответствующие установленным в Заявке требованиям.
      </p>
      <p>
        2.1.2. Перевозчик обязан обеспечить прохождение его водителем
        предрейсового медицинского осмотра.
      </p>
      <p>
        2.1.3. Перевозчик обязан подать автотранспорт на погрузку в
        установленные в Заявке срок и время. Условия признания транспортного
        средства опоздавшим на погрузку и ответственность за такое опоздание
        устанавливаются Сторонами в Заявке. При подаче транспортного средства
        под погрузку Грузоотправитель отмечает в транспортной накладной в
        присутствии Перевозчика (водителя) фактические дату и время подачи
        транспортного средства под погрузку.
      </p>
      <p>
        2.1.4. Перевозчик обязан обеспечить предъявление водителем, который
        будет перевозить груз, путевого листа, паспорта и доверенности (при
        необходимости) Грузоотправителю.
      </p>
      <p>
        2.1.5. Перевозчик (водитель) по завершении погрузки подписывает
        транспортную накладную и в случае необходимости указывает в пункте 12
        транспортной накладной свои замечания и оговорки при приеме груза.
      </p>
      <p>2.1.6. Перевозчик обязан доставить груз в срок, указанный в Заявке.</p>
      <p>
        2.1.7. Перевозчик обязан передать грузополучателю направляемые
        Грузоотправителем вместе с грузом товаросопроводительные документы.
      </p>
      <p>
        2.1.8. О задержке доставки груза Перевозчик обязан проинформировать
        Грузоотправителя и грузополучателя.
      </p>
      <p>
        2.1.9. Перевозчик обязан обеспечить сохранность упаковки груза при его
        перевозке и несет за это ответственность. Нарушением сохранности
        упаковки груза являются, в том числе нарушения ее целостности
        (помятости, потертости, сколы, подтеки, посторонние пятна и т.п.).
        Стоимость упаковки или порядок определения ее стоимости согласовываются
        Сторонами в Заявке.
      </p>
      <p>2.2. Обязанности Грузоотправителя.</p>
      <p>
        2.2.1. Грузоотправитель обязуется предоставить Перевозчику полную и
        достоверную информацию о грузе, необходимую для его надлежащей
        перевозки: о его свойствах, условиях хранения, перевозки и т.п.
      </p>
      <p>
        2.2.2. Груз, нуждающийся в таре и (или) упаковке для его предохранения
        от утраты, недостачи, порчи и повреждения при перевозке, должен
        предъявляться Грузоотправителем к перевозке в исправной таре и (или)
        упаковке, обеспечивающей его полную сохранность. Упаковка должна надежно
        защищать от любых случайных повреждений, которые могут иметь место при
        перевозке. Упаковка предъявляемого к перевозке груза должна быть сухой и
        чистой, груз не должен иметь острых прочных углов, выступов и прочего,
        что могло бы повредить транспортное средство, а также вызвать
        повреждение других грузов, следующих на одном транспортном средстве.
      </p>
      <p>
        2.2.3. Грузоотправитель обязан предъявить груз для погрузки (перевозки)
        в срок и время указанные в Заявке. Опозданием признается предъявление
        груза для погрузки (перевозки) с задержкой по времени более указанного в
        Заявке.
      </p>
      <p>
        2.2.4. При предъявлении для перевозки груза в таре или упаковке
        Грузоотправитель обязан подготовить груз в соответствии с установленными
        требованиями к его перевозке, в том числе осуществить маркировку груза.
      </p>
      <p>
        2.2.5. Грузоотправитель обязан своими силами и за свой счет осуществить
        загрузку груза в транспортные средства Перевозчика, если иное не
        установлено в Заявке.
      </p>
      <p>
        Грузоотправитель обязан уложить и закрепить груз по нормам,
        гарантирующим его сохранность во время перевозки, а также сохранность
        оборудования и транспортного средства.
      </p>
      <p>
        Грузоотправитель обязан осуществить погрузку в сроки, определенные в
        Заявке.
      </p>
      <p>
        2.2.6. По окончании погрузки кузов транспортного средства, должен быть
        опломбирован Грузоотправителем, если иное не установлено в Заявке.
      </p>
      <p>
        2.2.7. Приспособления, необходимые для погрузки, выгрузки и перевозки
        груза, должны предоставляться и устанавливаться на транспортном средстве
        Грузоотправителем, если иное не установлено в Заявке.
      </p>
      <p>
        2.2.8. Грузоотправитель обязан составить транспортную
        накладную/товарно-транспортную накладную в соответствии с формой и
        порядком заполнения, утвержденными действующими правилами.
      </p>
      <p>
        22.9. В целях беспрепятственного осуществления перевозки груза
        Грузоотправитель обязан приложить к транспортной накладной документы,
        предусмотренные санитарными, таможенными, карантинными, иными правилами
        в соответствии с требованиями законодательства Российской Федерации, а
        также сертификаты, паспорта качества, удостоверения, другие документы,
        наличие которых установлено федеральными законами, иными нормативными
        правовыми актами Российской Федерации, либо указать в транспортной
        накладной регистрационные номера перечисленных документов, если такие
        документы (сведения о таких документах) содержатся в государственных
        информационных системах.
      </p>
      <p>
        2.2.10. Грузоотправитель обязан обеспечить выгрузку транспортного
        средства в сроки, установленные в Заявке.
      </p>
      <h2>3. Провозная плата. Порядок расчетов</h2>
      <p>
        3.1. Грузоотправитель оплачивает Перевозчику провозную плату в рублях.
        Размер провозной платы, порядок и сроки расчетов между Сторонами
        согласовываются Сторонами в Заявке.
      </p>
      <h2>4. Изменение и расторжение договора</h2>
      <p>
        4.1. Изменение и расторжение Договора возможны по соглашению Сторон,
        если иное не предусмотрено законом или Договором.
      </p>
      <p>
        4.2. Перевозчик вправе отказаться от исполнения Договора в одностороннем
        внесудебном порядке следующих случаях:
      </p>
      <ul>
        <li>непредъявление Грузоотправителем груза для перевозки;</li>
        <li>
          невыполнение Грузоотправителем требований Перевозчика об устранении
          недостатков в погрузке груза.
        </li>
      </ul>
      <p>
        4.3. Грузоотправитель вправе отказаться от исполнения Договора в
        одностороннем внесудебном порядке в следующих случаях:
      </p>
      <ul>
        <li>
          предоставление Перевозчиком транспортных средств, непригодных для
          перевозок соответствующего груза;
        </li>
        <li>
          подача транспортных средств в пункт погрузки с опозданием более чем на
          срок, указанный в Заявке;
        </li>
        <li>
          непредъявление водителем транспортного средства Грузоотправителю
          документа, удостоверяющего личность, и путевого листа в пункте
          погрузки.
        </li>
      </ul>
      <h2>5. Ответственность Сторон</h2>
      <p>
        5.1. Условия и размер ответственности Сторон по настоящему Договору
        установлены в Заявке.
      </p>
      <p>
        5.2. Перевозчик не имеет право удерживать переданные ему для перевозки
        грузы в обеспечение причитающихся ему провозной платы и других платежей.
      </p>
      <p>
        5.3. Стороны освобождаются от ответственности, если неисполнение ими
        своих обязательств произошло вследствие:
      </p>
      <ol>
        <li>обстоятельств непреодолимой силы;</li>
        <li>
          ограничения или запрета движения транспортных средств по автомобильным
          дорогам, введенных в порядке, установленном законодательством
          Российской Федерации (не в период просрочки исполнения Перевозчиком
          своих обязательств);
        </li>
        <li>иных независящих от Сторон причин.</li>
      </ol>
      <h2>6. Разрешение споров</h2>
      <p>
        6.1. До предъявления иска, вытекающего из Договора, Сторона, считающая,
        что ее права нарушены, обязана направить другой Стороне письменную
        претензию, с приложением копий документов, подтверждающих изложенные в
        ней обстоятельства.
      </p>
      <p>
        6.2. Сторона, которая получила претензию, обязана ее рассмотреть и
        направить письменный мотивированный ответ другой Стороне в течение 15
        дней с момента получения претензии, если иной срок ответа не определен в
        Заявке.
      </p>
      <p>
        6.3. В случае полного или частичного отказа удовлетворить претензию либо
        в случае неполучения ответа в течение 15 дней с момента получения
        претензии адресатом (если иной срок ответа не определен в Заявке) такая
        Сторона вправе обратиться в суд.
      </p>
      <p>
        6.4. Вытекающие из Договора споры рассматриваются арбитражным судом в
        соответствии с действующим законодательством РФ.
      </p>
      <h2>7. Заключительные положения</h2>
      <p>
        7.1. Договор вступает в силу и становится обязательным для Сторон с
        момента его заключения и действует до момента окончания исполнения
        Сторонами обязательств по нему.
      </p>
      <p>
        7.2. Заявления, уведомления, извещения, требования или иные юридически
        значимые сообщения, с которыми закон или Договор связывает наступление
        гражданско-правовых последствий для другой Стороны, должны направляться
        любым из следующих способов:
      </p>
      <ul>
        <li>
          с нарочным (курьерской доставкой). Факт получения документа должен
          подтверждаться распиской Стороны в его получении. Расписка должна
          содержать наименование документа и дату его получения, Ф.И.О.,
          должность и подпись лица, получившего данный документ;
        </li>
        <li>заказным письмом с уведомлением о вручении;</li>
        <li>
          с использованием электронной почты, указанной в разделе Договора
          «Адреса и реквизиты Сторон»;
        </li>
        <li>посредством сервисов платформы {{ platform }}.</li>
      </ul>
      <p>
        7.3. Если иное не предусмотрено законом, заявления, уведомления,
        извещения, требования или иные юридически значимые сообщения, с которыми
        закон или Договор связывает наступление гражданско-правовых последствий
        для другого лица, влекут наступление таких последствий с момента
        доставки соответствующего сообщения этому лицу или его представителю.
      </p>
      <p>
        Сообщение считается доставленным и в тех случаях, когда оно поступило
        адресату, но по обстоятельствам, зависящим от него, не было ему вручено
        или адресат не ознакомился с ним.
      </p>
      <p>
        7.4. Заявкой могут устанавливаться отступающие от условий настоящего
        Договора положения, регулирующие условия оказания услуг по такой Заявке.
        Эти положения, согласованные Сторонами в соответствующей Заявке, имеют
        приоритет по отношению к условиям настоящего Договора.
      </p>
      <p>
        7.5. Договор составлен в 2 экземплярах, по одному для каждой из Сторон.
      </p>
    </oferta-popup>
  </single-panel>
</template>

<script>
  import {mapGetters} from 'vuex';
  import SinglePanel from "common-components/src/obComponents/obSinglePanels";
  import FilterPanel from './filterPanel';
  import ObTable from "common-components/src/obComponents/obTable";
  import ObCountdown from "common-components/src/obComponents/obCountdown";
  import ObTooltip from "common-components/src/obComponents/obTooltip";
  import ObButton from "common-components/src/obComponents/obButton";
  import ObInlineSelect from 'common-components/src/obComponents/obInlineSelect';
  import ObModal from 'common-components/src/obComponents/obModal';
  import {DateTime} from "luxon";
  import api from "@/api";
  import OfertaPopup from "@/components/Oferta";
  import ObCheckbox from 'common-components/src/obComponents/obCheckbox';

  export default {
    uploadedTypes: {
      'MANUAL': {
        icon: 'hand',
        tooltipText: 'Заказ создан вручную'
      },
      'FILE': {
        icon: 'order-upload',
        tooltipText: 'Заказ создан через массовую загрузку'
      },
      xlsUpload: {
        icon: 'order-excel',
        tooltipText: 'Заказ создан через загрузку XLS-файла'
      }
    },
    name: "orderAll",

    modalityMap: {
      'FTL': 'truck-sm',
      'CONTAINER': 'container',
      'RAIL': 'train-sm',
    },

    data() {
      return {
        contract: {},
        activeOrder: '',
        oferta: false,
        hasDraft: [],
        createdContract: {
          uuid: ''
        },
        createdContracts: [
          {
            title: 'Заказ на перевозку',
            uuid: '/order-new-order/new-order'
          },
          {
            title: 'Трекинговый заказ',
            uuid: '/order-tracking/new-order'
          }
        ]
      }
    },
    components: {
      SinglePanel,
      FilterPanel,
      ObTable,
      ObCountdown,
      ObTooltip,
      ObButton,
      ObInlineSelect,
      ObModal,
      OfertaPopup,
      ObCheckbox
    },
    computed: {
      ...mapGetters({
        role: 'user/role',
        isClicar: 'user/isClicar',
      }),

      platform() {
        return window.OBOZ_CONFIG.OBOZ_API_HOST.includes('oboz') ? 'ООО «ОБОЗ ДИДЖИТАЛ»' : 'Грузи.ру'
      },

      draftColumns() {
        return [
          {
            title: '№ Заказа',
            key: 'number',
            slotName: 'typeOrders',
            // html: (data) =>
            // {
            //  return (this.isClicar)
            //   ? (`<i
            //         class="icon ${this.$options.uploadedTypes[data.uplodedType].icon}"
            //         style="color: #004BC8;"
            //         title="${this.$options.uploadedTypes[data.uplodedType].tooltipText}"
            //       />` + `<span class='hand__tooltip'>${data.po}</span>`)
            //   : (`${data.po}`)
            // },
            width: 160
          },
          {
            title: 'Дата создания',
            key: 'created_at'
          },
          {
            title: "Модальность",
            key: "transportation_way",
            slotName: "modality",
          },
          {
            title: "Актуален еще",
            key: "draftLifetime",
            slotName: "draftLifeTime"
          },
          {
            title: 'Маршрут',
            key: 'from_location_ru',
            slotName: 'dates'
          },
          {
            ...(this.role === 'clicar' && {title: "Грузовладелец"}),
            ...(this.role === 'client' && {title: "Исполнитель"}),
            ...(this.role === 'clicar' && {key: "client_title_ru"}),
            ...(this.role === 'client' && {key: "contractor_title_ru"})
          },
          {
            title: "Сумма заказа без НДС",
            key: "rate_without_vat"
          },
          {
            title: "НДС",
            key: "vat_value"
          },
          {
            title: "Сумма итого",
            key: "rate_rur"
          },
          {
            title: "План: погрузка",
            key: "handling_data_dt"
          },
          {
            title: "Тариф актуален",
            key: "rateLifetime",
            slotName: "rateLifeTime"
          },
          {
            title: "Оформить заказ",
            slotName: "sendOrder",
            action: true
          }
        ]
      },

      isOrderDraftList() {
        return this.$route.path === '/order__drafts'
      },
    },

    methods: {
      openOferta() {
        this.$refs.oferta.open();
      },
      async getDrafts({page, size, sort = "created_at,desc", query}) {
        const altSort = sort?.split(',')
        try {
          const res = await api.orders.getDrafts({page, size, field: altSort[0], direction: altSort[1], query});

          res.content = res.content.map(item => ({
            uplodedType: item.uplodedType,
            number: item.number ? item.number : "Не указан",
            created_at: item.createdAt
              ? DateTime.fromISO(item.createdAt).toFormat("dd.MM.yyyy")
              : DateTime.local().toFormat("dd.MM.yyyy"),
            uuid: item.uuid ? item.uuid : "",
            contractor_title_ru: item.contractorTitle || "Не указан",
            client_title_ru: item.clientTitle || "Не указан",
            handling_data_dt: item.handlingData
              ? DateTime.fromISO(item.handlingData).toFormat("dd.MM.yyyy")
              : DateTime.local().toFormat("dd.MM.yyyy"),
            draftLifetime: item.draftLifetime,
            from_location_ru: item.fromLocation || "Не указан",
            toLocation: item.toLocation || "Не указан",
            rateLifetime: item.rateLifetime,
            cargoTypeName: item.cargoTypeName,
            transportation_way: item.transportationWay,
            rate_without_vat: item.rateWithoutVat
              ? new Intl.NumberFormat("ru-RU").format(item.rateWithoutVat / 100) + " ₽" : "—",
            vat_value: item.vatValue
              ? new Intl.NumberFormat("ru-RU").format(item.vatValue / 100) + " ₽" : "—",
            isValid: item.isValid,
            rate_rur: item.rateRur
              ? new Intl.NumberFormat("ru-RU").format(item.rateRur / 100) + " ₽" : "—"
          }));

          this.hasDraft = res;
          return res;

        } catch (e) {
          console.error(e);
          this.$notification({
            type: 'system_notification_error',
            message: 'Ошибка загрузки данных'
          })
        }
      },
      typeIcon(icon) {
        return this.$options.modalityMap[icon];
      },
      addNewItem() {
        this.$router.push(`/order-new-order/new-order`);
      },
      onSelectionDraft(data) {
        this.$router.push(`/order-drafts-item/${data.uuid}`);
      },
      selectCreatedContract(link) {
        this.$router.push({path: link})
      },
      async onPublish(data) {
        this.activeOrder = data;
        const { uuid } = data;
        const {data: { services = {} }} = await api.orders.getOrder(uuid);
        if (!services || !services.contractNumber) {
          this.$refs.submitModal.open();
        } else if (services && services.contractNumber && services.contractEffectiveD) {
          this.contract = {
            contractNumber: services.contractNumber,
            contractEffectiveD: services.contractEffectiveD
          }
          this.$refs.submitAnonModal.open();
        }
      },

      async publish() {
        try {
          await api.orders.changeOrderStatus(this.activeOrder.uuid, "FORMED");
          this.$refs.submitModal.close();
          this.$refs.submitAnonModal.close();
          this.oferta = false;
          this.$refs.obTableDrafts.loadData({ init: true });
          this.$notification({type: 'snackbars', message: `Заказ ${this.activeOrder.number} опубликован` });
        } catch (err) {
          console.error(err);
          this.$notification({type: 'snackbars', message: `Ошибка при публикации черновика ${this.activeOrder.number}` });
        }
      }
    }
  };
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";

  ::v-deep {
    .notready {
      font-size: 12px;
      line-height: 14px;
      letter-spacing: 0.4px;
      color: $blue-700;
    }

    .icon-type-order {
      color: $blue-700;
      cursor: pointer
    }

    table {
      border-spacing: 0;
    }

    .td-container {
      .contractor {
        white-space: nowrap;

        .icon {
          font-size: 14px;
          margin-right: 10px;
          color: $color-blue-navy-blue;
        }
      }
    }

    td {
      white-space: nowrap;
    }

    td > .td-container {
      padding: 20px 18px;
      min-height: auto;
    }

    .number {
      display: flex;
      align-items: center;

      &.is-ready:before {
        content: '';
        width: 0;
        height: 0;
        position: absolute;
        left: 0;
        top: 0;
        border-style: solid;
        border-width: 16px 16px 0 0;
        border-color: $color-green-light transparent transparent transparent;
      }

      .icon {
        margin-right: 20px;
        font-size: 12px;
        color: $color-blue-navy-blue;
      }

      span {
        white-space: nowrap;
      }
    }
  }

  .orders-empty, .drafts-empty {
    position: absolute;
    height: calc(100% - 173px);
    width: calc(100% - 36px);
    top: 153px;
    background-color: $background-white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 10px rgba($color-blue-navy-blue, 0.25);
    border-radius: 3px;

    h2 {
      margin-bottom: 20px;
      font-weight: normal;
      font-size: 24px;
      line-height: 29px;
      text-align: center;
      letter-spacing: 0.4px;
      color: $color-grey-span;
    }

    p {
      font-size: 16px;
      line-height: 20px;
      text-align: center;
      letter-spacing: 0.4px;
      color: $color-text-base;
    }

    a {
      text-decoration: none;
    }
  }

  .order-table {
    &-route {
      width: 465px;
      display: flex;
      justify-content: space-between;
      font-size: 14px;
      flex-wrap: wrap;
      &-dots {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-grow: 12;
        position: relative;
        margin: 0 8px;

        &::after {
          position: absolute;
          content: '';
          top: 50%;
          width: 100%;
          height: 1px;
          border-top: 1px $blue-blue-hoarfrost dotted;
        }

        &-count {
          background: $background-white;
          display: flex;
          justify-content: center;
          align-items: center;
          padding: 3px;
          height: 16px;
          font-size: 10px;
          line-height: 20px;
          letter-spacing: 1px;
          text-transform: uppercase;
          color: $blue-700;
          border: 1px solid $blue-blue-hoarfrost;
          box-sizing: border-box;
          border-radius: 5px;
          position: relative;
          z-index: 1;
        }
      }
    }
    &-modality {
      width: 90px;
      text-align: center;
      color: $blue-700;
    }
    &-notification {
      width: 16px;
      height: 16px;
      border-bottom: solid 8px transparent;
      border-right: solid 8px transparent;
      border-left: solid 8px $caribbean;
      border-top: solid 8px $caribbean;
      position: absolute;
      top: 0;
      left: 0;
    }
  }
  .red{
    color: $color-error;
  }

  .hand__tooltip {
    @include font-mixin(14px, 20px, 400, $color-text-base);
    padding-left: 7px;
  }
  .order-draft-header-content {
    max-width: 833px;
    font-size: 24px;
    line-height: 29px;
    letter-spacing: 0.4px;
    padding-bottom: 38px;
  }
  .order-draft-body-content {
    text-align: left;
    max-width: 580px;
    b {
      margin-bottom: 10px;
    }
    p {
      margin-bottom: 30px;
    }
  }

  .oferta {
    display: flex;
    align-items: center;

    a {
      text-decoration: none;
      color: $color-blue-smalt;
    }
  }

  .oferta-buttons {
    display: flex;
    align-items: center;
    margin-top: 40px;
  }
</style>
